package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 采购合同-结算周期表
 * </p>
 *
 * @author liutao
 * @since 2022-06-13
 */
@TableName("purch_contract_settle_cycle_history")
public class PurchContractSettleCycleHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 结算周期方式（固定天数、自然月）
     */
    @TableField("settle_cycle_method")
    private Long settleCycleMethod;

    /**
     * 结算周期
     */
    @TableField("settle_cycle")
    private Integer settleCycle;

    /**
     * 约定回款时间
     */
    @TableField("plan_payback_days")
    private Integer planPaybackDays;

    /**
     * 结算最低差额
     */
    @TableField("settle_min_amount")
    private BigDecimal settleMinAmount;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    public Long getSettleCycleMethod() {
        return settleCycleMethod;
    }

    public void setSettleCycleMethod(Long settleCycleMethod) {
        this.settleCycleMethod = settleCycleMethod;
    }
    public Integer getSettleCycle() {
        return settleCycle;
    }

    public void setSettleCycle(Integer settleCycle) {
        this.settleCycle = settleCycle;
    }
    public Integer getPlanPaybackDays() {
        return planPaybackDays;
    }

    public void setPlanPaybackDays(Integer planPaybackDays) {
        this.planPaybackDays = planPaybackDays;
    }
    public BigDecimal getSettleMinAmount() {
        return settleMinAmount;
    }

    public void setSettleMinAmount(BigDecimal settleMinAmount) {
        this.settleMinAmount = settleMinAmount;
    }
    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }

    @Override
    public String toString() {
        return "PpurchContractSettleCycleHistory{" +
            "settleCycleMethod=" + settleCycleMethod +
            ", settleCycle=" + settleCycle +
            ", planPaybackDays=" + planPaybackDays +
            ", settleMinAmount=" + settleMinAmount +
            ", purchContractBasicInfoId=" + purchContractBasicInfoId +
        "}";
    }
}
